StExecutableImage::address_filter_exception Class Reference

`#include <StExecutableImage.h>`

Collaboration diagram for StExecutableImage::address_filter_exception:
[legend]

## Public Member Functions

| address_filter_exception (bool isError, std::string &imageName, const AddressFilter &matchingFilter)
| Constructor. More...
bool | isError () const
| Returns true if the exception is an error. Otherwise the exception is for a warning.
std::string | getImageName () const
const AddressFilter & | getMatchingFilter () const
| address_filter_exception (bool isError, std::string &imageName, const AddressFilter &matchingFilter)
| Constructor. More...
bool | isError () const
| Returns true if the exception is an error. Otherwise the exception is for a warning.
std::string | getImageName () const
const AddressFilter & | getMatchingFilter () const

## Protected Attributes

bool | m_isError
std::string | m_imageName
AddressFilter | m_filter

## Detailed Description

The exception class raised for the ADDR_FILTER_ERROR and ADDR_FILTER_WARNING filter actions.

## Constructor & Destructor Documentation

StExecutableImage::address_filter_exception::address_filter_exception | ( | bool | isError,
|  | std::string & | imageName,
|  | const AddressFilter & | matchingFilter
| ) |  |

inline

Constructor.

A local copy of matchingFilter is made, in case the image and/or filter are on the stack and would be disposed of when the exception is raised.

StExecutableImage::address_filter_exception::address_filter_exception | ( | bool | isError,
|  | std::string & | imageName,
|  | const AddressFilter & | matchingFilter
| ) |  |

inline

Constructor.

A local copy of matchingFilter is made, in case the image and/or filter are on the stack and would be disposed of when the exception is raised.

The documentation for this class was generated from the following file:

- apps/elftosb/common/StExecutableImage.h